osocket_stream.hpp File Reference

A class to use any socket as a classic standard output stream. More...

`#include <claw/basic_socketbuf.hpp>`
`#include <ostream>`
`#include <claw/impl/osocket_stream.tpp>`

Go to the source code of this file.

## Classes

class | claw::net::basic_osocket_stream< CharT, Traits >
| A class to use any socket as a classic standard output stream. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::net
| Network communications.

## Typedefs

typedef basic_osocket_stream< char > | claw::net::osocket_stream
| Implementation of the basic_osocket_stream for the char type.
typedef basic_osocket_stream< wchar_t > | claw::net::wosocket_stream
| Implementation of the basic_osocket_stream for the wide characters.

## Detailed Description

A class to use any socket as a classic standard output stream.

Author
  Julien Jorge

Definition in file osocket_stream.hpp.